package m05bGastosEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05GastosEB</tt>.
 */
public class m05GastosPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the modelo codigo, which is the primary key
   * in table <tt>m0509t00</tt>.
   */
  public String gas_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05GastosPK) {
      m05GastosPK otherKey = (m05GastosPK) obj;
      return ((this.gas_codigo == otherKey.gas_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.gas_codigo.hashCode();
  }

}